#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

message .msg -relief raised -bg blue -fg white \
 -width 30c -text "Detecting Peaks ..."

pack    .msg
update

set specName [lindex $argv 0]
set tabName  [lindex $argv 1]
set tabCount 1

set tabDir [file dirname $tabName]

if {![file exists $tabDir]} {file mkdir $tabDir}

set vMax [exec specStat.tcl -in ./1/test.ft2 -stat vMinAbs -brief]
puts  $vMax

set thisSpecName $specName
set thisTabName  $tabName

set x1      [lindex $argv 2]
set xN      [lindex $argv 3]
set xInc    [expr $xN - $x1]
set xExtra  1
set xLast   [expr $xN + $xExtra + 1]


#puts [expr $xN - $x1]

set y1      [lindex $argv 4]
set yN      [lindex $argv 5]
set yInc    [expr $yN - $y1]
set yExtra  2
set yLast   [expr $yN + $yExtra + 1]
set yFirst  $y1
set noise   [lindex $argv 6]
    
    readROI -roi 1 \
       -ndim 2 -in $thisSpecName \
       -x X_AXIS $x1 $xN           \
       -y Y_AXIS $y1 $yN           \
       -verb

    pkFindROI -roi 1 \
      -sigma $noise -pChi 0.0001 -plus 698487 -minus -698487 \
      -dx        1     2 \
      -idx       1     2 \
      -tol    2.00  8.00 \
      -hiAdj  1.20  1.80 \
      -lw    15.00  5.00 \
      -reject  -sinc -mask -out $thisTabName -verb

 
exit
